/**
 * ErrorCollector is used to collect validation errors and warnings during parsing.
 * It provides methods to track both blocking errors and non-blocking warnings.
 */
export class ErrorCollector {
    warnings = [];
    errors = [];
    /**
     * An error will block parsing
     * @param error
     */
    error(error) {
        this.errors.push(error);
    }
    /**
     * A warning will not block parsing
     */
    warning(warning) {
        this.warnings.push(warning);
    }
}
